.site-footer {
    background-color: #151515;
    padding: 1.2rem 0;
    margin-top: auto;
}

.container-footer {
    width: 90%;
    max-width: 75rem;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 0.8rem;
    opacity: 0.85;
}

.social a {
    text-decoration: none;
    display: inline-block;
    transition:
        transform 0.2s ease,
        filter 0.2s ease;
}

.social a img {
    width: 1.3rem;
    margin-left: 1rem;
    transition: all 0.3s ease;
}

.social a:hover img {
    filter: brightness(0) saturate(100%) invert(73%) sepia(41%) saturate(507%) hue-rotate(5deg)
        brightness(95%) contrast(92%);
    transform: translateY(-2px) scale(1.08);
}

@media (max-width: 48rem) {
    .container-footer {
        font-size: 0.6rem;
    }

    .social a img {
        width: 0.6rem;
        margin-left: 0.5rem;
    }
}
